
Robotics Service Bus - Feature #1244
Ant-generated Jar-file unusable for ADT projects
11/18/2012 04:23 PM - S. Wrede

Status: Resolved Start date: 11/18/2012
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: Java Estimated time: 0.00 hour
Target version: rsb-0.9
Description

The ant-generated rsb.jar file was reported to not work in Eclipse-Android projects. Exporting the RSB classes manually via the
Eclipse-Jar-Exporter, the file work seamlessly. This is probably related to the class-file format but needs further investigation.

History
#1 - 12/10/2012 02:58 PM - J. Wienke

Can someone check this again with the master version. We added some restrictions which class version to generate.

#2 - 12/18/2012 10:35 AM - S. Wrede

Still the same problem. Seems to require further investigation.

That said, my class files look like:

ubi-1-235-215:classes swrede$ file rsb/Scope.class 
rsb/Scope.class: compiled Java class data, version 49.0 (Java 1.5)

#3 - 01/08/2013 10:08 PM - J. Wienke

Soufian, does this work now?

#4 - 01/17/2013 09:08 AM - J. Wienke
- Status changed from New to Feedback
- Assignee set to J. Wienke

Soufian? Ping?

#5 - 01/17/2013 03:59 PM - S. Jebbara

The new generated jar file works for android. I consider this issue as solved

#6 - 01/17/2013 04:49 PM - J. Wienke
- Status changed from Feedback to Resolved
- % Done changed from 0 to 100
